{% extends "base.html" %}
{% block header %}
    <script>
        $(document).ready(function () {
            let element = document.querySelector('.m-chat-box');
            element.scrollTop = element.scrollHeight;
        })
    </script>
    <style>
        .m-review-box {
            width: 50%;
            margin: 0 auto;
        }

        .m-warning-button {
            color: white !important;
            background-color: #d71b1b !important;
        }

        .m-card-item {
            padding: 20px 0;
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .m-card-item:not(:last-child) {
            border-bottom: 1px solid rgba(225, 227, 229, 1);
        }

        .m-card {
            margin-bottom: 24px;
        }

        .m-chat-box {
            padding: 0 20px;
            width: 50%;
            margin: 0 auto;
            display: flex;
            border: 1px solid gray;
            background-color: #dddddd;
            border-radius: 5px;
            height: 300px;
            flex-direction: column;
            row-gap: 10px;
            overflow-y: scroll;
        }

        .m-msg {
            width: 100%;
            height: fit-content;
            display: flex;
        }

        .contact-msg {
            justify-content: flex-end;
            padding-right: 20px;
        }

        .self-msg {
            justify-content: flex-start;
            padding-left: 20px;
        }

        .m-msg > span {
            padding: 10px;
            border-radius: 5px;
        }

        .self-msg > span {
            background-color: rgb(61 242 61 / 50%);
        }

        .contact-msg > span {
            background-color: rgb(61 235 242 / 61%);
        }

        .input-container {
            display: flex;
            margin: 0 auto;
            width: 50%;
            direction: ltr;
        }

        .input-container > div {
            display: flex !important;
            width: 100%;
            direction: ltr;
        }
    </style>
{% endblock header %}
{% block title %}سفارش{% endblock title %}
{% block body_title %}سفارش شماره {{ order.id }}{% endblock body_title %}
{% block content %}
    <div class="m-card" style="padding: 0 20px; width: 50%; margin: 0 auto;">
        <div class="m-card-item">
            <div>
                <span>سفارش</span>
            </div>
            <div>
                <span>{{ order.expertise.name }}</span>
            </div>
        </div>
        <div class="m-card-item">
            <div>
                <span>هزینه</span>
            </div>
            <div>
                <span>{{ order.expertise.price }} ریال</span>
            </div>
        </div>
        <div class="m-card-item">
            <div>
                <span>کارفرما</span>
            </div>
            <div>
                <a href="/account/{{ order.customer.user.id }}/">
                    {{ order.customer.user.first_name }} {{ order.customer.user.last_name }}
                </a>
            </div>
        </div>
        <div class="m-card-item">
            <div>
                <span>متخصص</span>
            </div>
            <div style="display: flex; column-gap: 8px; align-items: center">
                <a href="/account/{{ order.expert.user.id }}/">
                    {{ order.expert.user.first_name }} {{ order.expert.user.last_name }}
                </a>
                {% if order.expert and order.get_status_display != 'DOING' and order.get_status_display != 'DONE' and user.is_customer %}
                    <div>
                        <form action="/order/{{ order.id }}/" method="post">
                            {% csrf_token %}
                            <input type="hidden" value="{{ order.expert.id }}">
                            <button class="ui button m-primary-button" type="submit" style="width: 100% !important;">
                                قبول متخصص
                            </button>
                        </form>
                        <form action="/order/{{ order.id }}/?q=true" method="post">
                            {% csrf_token %}
                            <input type="hidden" value="{{ order.expert.id }}">
                            <button class="ui button m-warning-button" style="width: 100% !important;" type="submit">رد
                                متخصص
                            </button>
                        </form>
                    </div>
                {% endif %}
            </div>
        </div>
        <div class="m-card-item">
            <div>
                <span>توضیحات</span>
            </div>
            <div>
                <span>{{ order.description }}</span>
            </div>
        </div>
        {% if review %}
            <div class="m-card-item">
                <div>
                    <span>امتیاز شما</span>
                </div>
                <div>
                    <span>{{ review.rate }}</span>
                </div>
            </div>
        {% endif %}
        {% if order.expert and order.status == 1 and user.is_expert %}
            <div class="m-card-item">
                <div>
                    <span></span>
                </div>
                <div>
                    <form action="/order/{{ order.id }}/" method="post">
                        {% csrf_token %}
                        <input type="hidden" value="{{ order.expert.id }}">
                        <button class="ui button m-primary-button" type="submit">پایان کار</button>
                    </form>
                </div>
            </div>
        {% elif not order.expert and user.is_expert %}
            <div class="m-card-item">
                <div>
                    <span></span>
                </div>
                <div>
                    <form action="/order/{{ order.id }}/" method="post">
                        {% csrf_token %}
                        <input type="hidden" value="{{ order.expert.id }}">
                        <button class="ui button teal" type="submit">درخواست انجام کار</button>
                    </form>
                </div>
            </div>
        {% endif %}
    </div>
    {% if order.expert and order.get_status_display == 'DONE' and not review %}
        <div class="body-header" style="margin-top: 24px;">
            <span>
                به این سفارش نمره دهید
            </span>
        </div>
        <div class="m-review-box">
            <form class="ui form" action="/feedback/create/" method="post">
                {% csrf_token %}
                <div class="m-card">
                    <div class="fields">
                        <div class="field">
                            <label for="id_rate">امتیاز</label>
                            <select name="rate" id="id_rate">
                                <option value="1">1</option>
                                <option value="2">2</option>
                                <option value="3">3</option>
                                <option value="4">4</option>
                                <option value="5">5</option>
                            </select>
                        </div>
                    </div>
                    <div class="fields" style="width: 100%;">
                        <div class="field" style="width: 100%;">
                            <label for="id_content">توضیح</label>
                            <textarea name="content" id="id_content"></textarea>
                        </div>
                    </div>
                    <button type="submit" class="ui submit button fluid m-primary-button">
                        ارسال
                    </button>
                </div>
                <input hidden name="type" value="review" type="text">
                <input hidden name="order_id" value="{{ order.id }}" type="number">
            </form>
        </div>
    {% endif %}
    {% if order.expert and order.get_status_display != 'DONE' %}
        <div class="body-header" style="margin-top: 24px;">
            <span>
                چت باکس
            </span>
        </div>
        <div class="m-chat-box">
            {% for feedback in feedbacks %}
                {% if feedback.user == user %}
                    <div class="m-msg self-msg">
                        <span>
                            {{ feedback.content }}
                        </span>
                    </div>
                {% else %}
                    <div class="m-msg contact-msg">
                        <span>
                            {{ feedback.content }}
                        </span>
                    </div>
                {% endif %}
            {% endfor %}
        </div>
        <form class="input-container" action="/feedback/create/" method="post">
            {% csrf_token %}
            <div class="ui action input">
                <input type="text" name="content" placeholder="پیام شما">
                <input hidden name="rate" value="0" type="number">
                <input hidden name="type" value="msg" type="text">
                <input hidden name="order_id" value="{{ order.id }}" type="number">
                <button type="submit" class="ui icon button">
                    ارسال
                </button>
            </div>
        </form>
    {% endif %}
{% endblock content %}
